Subject: bug#10621: closed (Re: bug#10621: Incorrect usage of hash procedures in (ice-9 mapping))

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Feb 2013 14:13:02 +0000

Your bug report

#10621: Incorrect usage of hash procedures in (ice-9 mapping)

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10621: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10621
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10621: Incorrect usage of hash procedures in (ice-9 mapping)
From: Andy Wingo <[email-masked]>
To: Daniel Hartwig <[email-masked]>
Cc: [email-masked]
Date: Sun, 24 Feb 2013 15:10:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed 28 Nov 2012 16:56, Daniel Hartwig <[email-masked]> writes:

> A short module, it is not hard to fix, though given all of the above it
> makes sense to simply remove it.

I think removing it is the right thing.  Even with your patch it still
won't work because the default "table constructor" is a vector instead
of a hash table.

Regardless of whether it were new or old, I would much prefer to remove
this module than to document it properly, especially given the existence
of alternatives like srfi-69 and rnrs hash tables as you mention.

I will apply your patch (so that the compile warnings go away), add a
deprecation notice, and remove the module in master.

Andy
-- 
http://wingolog.org/

Subject: Incorrect usage of hash procedures in (ice-9 mapping)
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Fri, 27 Jan 2012 03:25:15 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

These are genuine errors:

ice-9/mapping.scm:97:48: warning: possibly wrong number of arguments to `hashx-get-handle'
ice-9/mapping.scm:94:48: warning: possibly unbound variable `hashx-create-handle'

     Mark